/*  $Id: dataparser.cpp,v 1.35 2003/05/22 16:43:10 dm Exp $

    This file is part of the

    GRammar vISUalization tool (GRISU)

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2003 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/** @file
    Implementation of the DataParser class.
    @author Holger Wunsch */

#include <stdlib.h>

#include <qstring.h>

#include "dataparser.h"

/** This variable is defined in yylex.cpp and contains the position of the next
    token. */
extern int curLoc;

Document* DataParser::parse(char* ioBuffer) {
  ParserArgs pa;
  Document* newDoc = NULL;

  pa.windowtitle = new char[255];
  pa.parsedData = NULL;
  pa.ioBuffer = ioBuffer;
  pa.map = NULL;
  pa.showDefault = 0;

  curLoc = 0;

  if (yyparse((void*) &pa) == 0) {
    newDoc = new Document(QString::fromLocal8Bit(pa.windowtitle));
    newDoc->setData(pa.parsedData, pa.map);
    newDoc->showDefault = pa.showDefault;
    
    freeList(pa.parsedData);
  }
  else
    destroyMap(pa.map);

  delete [] pa.windowtitle;

  return newDoc;
}
