/*  $Id: gspacingdialog.h,v 1.5 2003/05/22 16:43:12 dm Exp $

    This file is part of the

    GRammar vISUalization tool (GRISU)

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2003 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** @file

    Declaration of the Structure Spacing dialog. Generated by Qt Designer.

    @author Holger Wunsch */

#ifndef GSPACINGDIALOG_H
#define GSPACINGDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

#include "options.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLabel;
class QPushButton;
class QSpinBox;


/** Implements the structure spacing dialog.

@author Holger Wunsch */
class GSpacingDialog : public QDialog
{
  Q_OBJECT;

  Options* options;

public:
    GSpacingDialog( Options* options, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~GSpacingDialog();

    QPushButton* okButton;
    QSpinBox* spinBox1;
    QLabel* textLabel2;
    QPushButton* cancelButton;

protected:

protected slots:
    virtual void languageChange();
    /** Called when the user clicked OK. Updates the spacing value in the associated
        options object. */
    void okClicked(void);
 
    /** Called when the user clicked Cancel. */
    void cancelClicked(void);
};

#endif // GSPACINGDIALOG_H
